Subject: Re: [PATCH 1/6] net: phy: add interface modes for XFI, SFI

From: Andrew Lunn <[email-masked]>
Date: Mon, 23 Dec 2019 14:46:34 +0100

> Given that meeting these electrical characteristics involves the
> effects of the board, and it is impractical for a board to switch
> between different electrical characteristics at runtime (routing serdes
> lanes to both a SFP+ and XFP cage is impractical due to reflections on
> unterminated paths) I really don't see any reason why we need two
> different phy_interface_t definitions for these.  As mentioned, the
> difference between XFI and SFI is electrical, and involves the board
> layout, which is a platform specific issue.

Hi Russell

So we make phy_interface_t define the protocol. We should clearly
document that.

Are we going to need another well defined DT property for the
electrical interface? What is where we have XFI and SFI, etc?

	   Andrew